[ Languages: **English** | [日本語](README-ja.md) (Japanese) ]

# blesh-contrib
Settings for [akinomyoga/ble.sh](https://github.com/akinomyoga/ble.sh)

Unless otherwise specified, files in this repository are licensed by [BSD
3-clause license](LICENSE).  The files in `airline` are licensed by the MIT
License.  The details are explained in sub-pages:

- &#x2699; [Integration with `fzf`](integration/fzf.md)
  - :pencil: `contrib/integration/fzf-initialize`
  - :pencil: `contrib/integration/fzf-completion`
  - :pencil: `contrib/integration/fzf-key-bindings`
  - :pencil: `contrib/integration/fzf-git`
  - :pencil: `contrib/integration/fzf-menu`
- &#x2699; Other integrations (undocumented)
  - :pencil: `contrib/integration/bash-preexec`
- &#x2699; Other integrations that will be automatically loaded
  - :pencil: `contrib/integration/bash-completion`
  - :pencil: `contrib/integration/nix-completion`
  - :pencil: `contrib/integration/zoxide`
- :pencil: [`contrib/colorglass`](colorglass.md)
- :pencil: `contrib/histdb` (undocumented)
- &#x2699; [Prompt sequences](prompt.md)
  - :pencil: `contrib/prompt-defer`
  - :pencil: `contrib/prompt-elapsed`
  - :pencil: `contrib/prompt-git`
  - :pencil: `contrib/prompt-vim-mode`
- &#x2699; Color schemes `contrib/scheme/*`
- &#x2699; Airline themes `contrib/airline/*`
- &#x2699; Highlighting layers `contrib/layer/*`
- &#x2699; Miscellaneous configurations
  - :pencil: `contrib/config/execmark`
  - :pencil: `contrib/config/github265-prompt-path-level-colors`
  - :pencil: `contrib/config/github288-filter-sabbrev-completion`
  - :pencil: `contrib/config/github296-named-execmark`
  - :pencil: `contrib/config/github302-perlre-server`
  - :pencil: `contrib/config/github481-elapsed-mark-without-command`
  - :pencil: `contrib/config/github483-elapsed-mark-on-error`
